Get details of an issuer for a settlement on a store
Get details of an issuer for a settlement on a store
get/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers/{storeSettlementIssuerUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+storePaymentMethodUidstringRequiredPattern:
Reference to a store PaymentMethodUid.
^[A-Za-z0-9-_]+storeSettlementIssuerUidstringRequiredPattern:
Reference to a store settlement issuerId.
^[A-Za-z0-9-_]+Responses
200
StorePaymentMethodIssuer response
application/json
codestringRequired
ledgerNumberstringRequired
Ledger number must be a valid number with possible leading zeros
ledgerTypestring · enumRequired
Possible values:
| ENUM | Description |
|---|---|
| LEDGER | Ledger |
| GENERAL_LEDGER | General ledger |
| CUSTOMER_LEDGER | Customer ledger |
namestringRequired
storeSettlementIssuerUidstringRequiredPattern:
^[A-Za-z0-9-_]+get/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers/{storeSettlementIssuerUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers/{storeSettlementIssuerUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
StorePaymentMethodIssuer response
{
"code": "text",
"ledgerNumber": "text",
"ledgerType": "LEDGER",
"name": "text",
"storeSettlementIssuerUid": "text"
}PreviousGet list of issuers for a settlement on a store
NextUpdate details of an issuer for a settlement on a store
Last updated
Was this helpful?

